Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class RunListenerPrintReproduceInfo

    java.lang.Object
      org.junit.runner.notification.RunListener
          org.apache.lucene.util.RunListenerPrintReproduceInfo

    public final class RunListenerPrintReproduceInfo

extends RunListener

A suite listener printing a "reproduce string". This ensures test result events are always captured properly even if exceptions happen at initialization or suite/ hooks level.

Constructor Summary
`RunListenerPrintReproduceInfo()`

Method Summary
`void` | `testFailure(Failure failure)`
`void` | `testFinished(Description description)`
`void` | `testRunFinished(Result result)`
`void` | `testRunStarted(Description description)`
`void` | `testStarted(Description description)`

Methods inherited from class org.junit.runner.notification.RunListener
`testAssumptionFailure, testIgnored`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunListenerPrintReproduceInfo

    public RunListenerPrintReproduceInfo()

Method Detail

### testRunStarted

    public void testRunStarted(Description description)
                        throws Exception

  Overrides:
    `testRunStarted` in class `RunListener`
  Throws:
    `Exception`

### testStarted

    public void testStarted(Description description)
                     throws Exception

  Overrides:
    `testStarted` in class `RunListener`
  Throws:
    `Exception`

### testFailure

    public void testFailure(Failure failure)
                     throws Exception

  Overrides:
    `testFailure` in class `RunListener`
  Throws:
    `Exception`

### testFinished

    public void testFinished(Description description)
                      throws Exception

  Overrides:
    `testFinished` in class `RunListener`
  Throws:
    `Exception`

### testRunFinished

    public void testRunFinished(Result result)
                         throws Exception

  Overrides:
    `testRunFinished` in class `RunListener`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.